#

API Docs for: 1.0
Show: Inherited Protected Private Deprecated

# Stage Class

Extends DisplayObjectContainer
Defined in: `pixi/Stage.js:5`
Module: PIXI

A Stage represents the root of the display tree. Everything connected to the stage is rendered

## Constructor

### `Stage`

(

- `backgroundColor`
- `interactive`

)

Defined in `pixi/Stage.js:5`

#### Parameters:

- `backgroundColor` Number

  the background color of the stage

- `interactive` Boolean

  enable / disable interaction (default is false)

- Index
- Methods
- Properties

## Item Index

### Methods

- addChild
- addChildAt
- removeChild
- setBackgroundColor
- updateTransform

### Properties

- alpha
- children
- parent
- position
- rotation
- scale
- stage
- visible

## Methods

### `addChild`

(

- `DisplayObject`

)

Inherited from DisplayObjectContainer: `pixi/DisplayObjectContainer.js:29`

Adds a child to the container.

#### Parameters:

- `DisplayObject` DisplayObject

### `addChildAt`

(

- `DisplayObject`
- `index`

)

Inherited from DisplayObjectContainer: `pixi/DisplayObjectContainer.js:51`

Adds a child to the container at a specified index. If the index is out of bounds an error will be thrown

#### Parameters:

- `DisplayObject` DisplayObject
- `index` Number

### `removeChild`

(

- `DisplayObject`

)

Inherited from DisplayObjectContainer: `pixi/DisplayObjectContainer.js:97`

Removes a child from the container.

#### Parameters:

- `DisplayObject` DisplayObject

### `setBackgroundColor`

(

- `backgroundColor`

)

Defined in `pixi/Stage.js:59`

#### Parameters:

- `backgroundColor` Number

### `updateTransform`

()

Defined in `pixi/Stage.js:35`

## Properties

### `alpha`

Number

Inherited from DisplayObject: `pixi/DisplayObject.js:33`

The opacity of the object.

### `children`

Array

Inherited from DisplayObjectContainer: `pixi/DisplayObjectContainer.js:16`

[read-only] The of children of this container.

### `parent`

DisplayObjectContainer

Inherited from DisplayObject: `pixi/DisplayObject.js:48`

[read-only] The display object container that contains this display object.

### `position`

Point

Inherited from DisplayObject: `pixi/DisplayObject.js:12`

The coordinate of the object relative to the local coordinates of the parent.

### `rotation`

Number

Inherited from DisplayObject: `pixi/DisplayObject.js:26`

The rotation of the object in radians.

### `scale`

Point

Inherited from DisplayObject: `pixi/DisplayObject.js:19`

The scale factor of the object.

### `stage`

Stage

Inherited from DisplayObject: `pixi/DisplayObject.js:55`

[read-only] The stage the display object is connected to, or undefined if it is not connected to the stage.

### `visible`

Boolean

Inherited from DisplayObject: `pixi/DisplayObject.js:40`

The visibility of the object.